com.genesyslab.wfm8.API.service.adherence850

## Class AdhTotals

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence850.AdhTotals

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhTotals
      extends java.lang.Object
      implements java.io.Serializable

  Contains various adherence totals calculated for the specified granularity.
  See Also:
    `WFMAdherenceService850Soap.getTotalsAsync(int, double, double, java.util.List<java.lang.Integer>, java.util.List<java.lang.Integer>, int, boolean)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private static long` | `serialVersionUID`
    `protected int` | `wmActualWorkDuration` Total actual work duration in seconds.
    `protected double` | `wmEndDate` Totals period end date.
    `protected int` | `wmNonAdherenceDuration` Total non-adherence state duration in seconds.
    `protected int` | `wmOutOfScheduleNonAdherenceDuration` Total out-of-schedule non-adherence state duration in seconds.
    `protected int` | `wmScheduleDuration` Total schedule duration in seconds.
    `protected int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `protected double` | `wmStartDate` Totals period start date.
    `protected int` | `wmTeamId` Team ID, identifies `CfgTeam` object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhTotals()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmActualWorkDuration()` Gets the value of the wmActualWorkDuration property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmNonAdherenceDuration()` Gets the value of the wmNonAdherenceDuration property.
    `int` | `getWmOutOfScheduleNonAdherenceDuration()` Gets the value of the wmOutOfScheduleNonAdherenceDuration property.
    `int` | `getWmScheduleDuration()` Gets the value of the wmScheduleDuration property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmActualWorkDuration(int value)` Sets the value of the wmActualWorkDuration property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmNonAdherenceDuration(int value)` Sets the value of the wmNonAdherenceDuration property.
    `void` | `setWmOutOfScheduleNonAdherenceDuration(int value)` Sets the value of the wmOutOfScheduleNonAdherenceDuration property.
    `void` | `setWmScheduleDuration(int value)` Sets the value of the wmScheduleDuration property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `AdhTotals` | `withGswAgentId(int value)`
    `AdhTotals` | `withWmActualWorkDuration(int value)`
    `AdhTotals` | `withWmEndDate(double value)`
    `AdhTotals` | `withWmNonAdherenceDuration(int value)`
    `AdhTotals` | `withWmOutOfScheduleNonAdherenceDuration(int value)`
    `AdhTotals` | `withWmScheduleDuration(int value)`
    `AdhTotals` | `withWmSiteId(int value)`
    `AdhTotals` | `withWmStartDate(double value)`
    `AdhTotals` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### wmTeamId

          protected int wmTeamId

      Team ID, identifies `CfgTeam` object

    - #### gswAgentId

          protected int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmStartDate

          protected double wmStartDate

      Totals period start date. `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      Totals period end date. `OleDateTime`

    - #### wmNonAdherenceDuration

          protected int wmNonAdherenceDuration

      Total non-adherence state duration in seconds.

    - #### wmOutOfScheduleNonAdherenceDuration

          protected int wmOutOfScheduleNonAdherenceDuration

      Total out-of-schedule non-adherence state duration in seconds.

    - #### wmScheduleDuration

          protected int wmScheduleDuration

      Total schedule duration in seconds.

    - #### wmActualWorkDuration

          protected int wmActualWorkDuration

      Total actual work duration in seconds.

  - ### Constructor Detail

    - #### AdhTotals

          public AdhTotals()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmNonAdherenceDuration

          public int getWmNonAdherenceDuration()

      Gets the value of the wmNonAdherenceDuration property.

    - #### setWmNonAdherenceDuration

          public void setWmNonAdherenceDuration(int value)

      Sets the value of the wmNonAdherenceDuration property.

    - #### getWmOutOfScheduleNonAdherenceDuration

          public int getWmOutOfScheduleNonAdherenceDuration()

      Gets the value of the wmOutOfScheduleNonAdherenceDuration property.

    - #### setWmOutOfScheduleNonAdherenceDuration

          public void setWmOutOfScheduleNonAdherenceDuration(int value)

      Sets the value of the wmOutOfScheduleNonAdherenceDuration property.

    - #### getWmScheduleDuration

          public int getWmScheduleDuration()

      Gets the value of the wmScheduleDuration property.

    - #### setWmScheduleDuration

          public void setWmScheduleDuration(int value)

      Sets the value of the wmScheduleDuration property.

    - #### getWmActualWorkDuration

          public int getWmActualWorkDuration()

      Gets the value of the wmActualWorkDuration property.

    - #### setWmActualWorkDuration

          public void setWmActualWorkDuration(int value)

      Sets the value of the wmActualWorkDuration property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### withWmSiteId

          public AdhTotals withWmSiteId(int value)

    - #### withGswAgentId

          public AdhTotals withGswAgentId(int value)

    - #### withWmStartDate

          public AdhTotals withWmStartDate(double value)

    - #### withWmEndDate

          public AdhTotals withWmEndDate(double value)

    - #### withWmNonAdherenceDuration

          public AdhTotals withWmNonAdherenceDuration(int value)

    - #### withWmOutOfScheduleNonAdherenceDuration

          public AdhTotals withWmOutOfScheduleNonAdherenceDuration(int value)

    - #### withWmScheduleDuration

          public AdhTotals withWmScheduleDuration(int value)

    - #### withWmActualWorkDuration

          public AdhTotals withWmActualWorkDuration(int value)

    - #### withWmTeamId

          public AdhTotals withWmTeamId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.